Jump to: navigation, search

Difference between revisions of "LimeMicro BT MiniHackathon"

(Created page with "Details for BT & Lime Micro Mini Hackathon, London, 21st June 2017. == Agenda == * 08:30 – 09:00: Introduction & registration * 09:00 – 10:15: Introduction to modern w...")
 
Line 3: Line 3:
 
== Agenda ==
 
== Agenda ==
  
* 08:30 – 09:00: Introduction & registration
+
* 08:30 – 09:00: Introduction & registration
* 09:00 – 10:15: Introduction to modern wireless communication, Physical layer & LimeSDR hardware (Lime)
+
* 09:00 – 10:15: Introduction to modern wireless communication, Physical layer & LimeSDR hardware (Lime)
* 10:15 – 11:00: Quortus EPC, function and features (Quortus)
+
* 10:15 – 11:00: Quortus EPC, function and features (Quortus)
* 11:00 – 11:30: Coffee break
+
* 11:00 – 11:30: Coffee break
* 11:30 – 12:15: Open Air Interface, background and status (Eurecom)
+
* 11:30 – 12:15: Open Air Interface, background and status (Eurecom)
* 12:15 – 12:30: Short introduction to the practical sessions
+
* 12:15 – 12:30: Short introduction to the practical sessions
* 12:30 – 13:30: Lunch
+
* 12:30 – 13:30: Lunch
* 13:30 – 14:00: Introduction to Osmocom
+
* 13:30 – 14:00: Introduction to Osmocom
* 14:00 – 15:00: LimeSDR drivers and APIs (Lime) / 3&4G PHY, up and downlink examples
+
* 14:00 – 15:00: LimeSDR drivers and APIs (Lime) / 3&4G PHY, up and downlink examples
* 15:00 – 15:30: Coffee Break
+
* 15:00 – 15:30: Coffee Break
* 15:30 – 17:00: Complete LTE+EPC example setup, call setup (eNodeB and hands on demo)
+
* 15:30 – 17:00: Complete LTE+EPC example setup, call setup (eNodeB and hands on demo)
* 17:00 – 17:30: Feedback and closing remarks
+
* 17:00 – 17:30: Feedback and closing remarks
  
==Workshop notes ==
+
== Software prerequisites ==
 +
 
 +
The following software must be installed.
 +
 
 +
=== Lime Suite ===
 +
 
 +
==== Linux ====
 +
 
 +
===== Binary package install =====
 +
 
 +
sudo add-apt-repository -y ppa:myriadrf/drivers
 +
sudo apt-get update
 +
sudo apt-get install limesuite limesuite-udev limesuite-images
 +
sudo apt-get install liblimesuite-dev
 +
sudo apt-get install soapysdr soapysdr-module-lms7
 +
 
 +
===== Build from source =====
 +
 
 +
1. Configure Myriad-RF  drivers PPA for SoapySDR packages
 +
 
 +
sudo add-apt-repository -y ppa:myriadrf/drivers
 +
sudo apt-get update
 +
 
 +
2. Install dependencies
 +
 
 +
sudo apt-get install git g++ cmake libsqlite3-dev libsoapysdr-dev libi2c-dev libusb-1.0-0-dev libwxgtk3.0-dev freeglut3-dev
 +
 
 +
3. Get sources
 +
 
 +
git clone https://github.com/myriadrf/LimeSuite
 +
 
 +
To update use 'git pull'
 +
 
 +
4. Build and install
 +
 
 +
cd ~/LimeSuite
 +
mkdir builddir && cd builddir
 +
cmake ../
 +
make -j4
 +
sudo make install
 +
cd ~/LimeSuite/udev-rules
 +
sudo ./install.sh
 +
 
 +
==== Windows 8, 10 ====
 +
 
 +
Use Pothos SDR Development Environment installer:
 +
 
 +
http://downloads.myriadrf.org/builds/PothosSDR/
 +
 
 +
(get latest)
 +
 
 +
=== Octave ===
 +
 
 +
Note octave 3.8.2 does not support -O3 flag
 +
Modified MakeFile to fix
 +
 
 +
==== Linux ====
 +
 
 +
===== Binary package install =====
 +
 
 +
We currently only support Ubuntu 16.04 LTS.
 +
 
 +
* sudo can be omitted on some non-Ubuntu systems if you are logged in as su or using root terminal.
 +
* package manager can be used instead of 'sudo apt-get install'
 +
 
 +
1. install package manager such as synaptic and other useful linux tools
 +
 
 +
sudo apt-get install synaptic
 +
sudo apt-get ssh
 +
sudo apt-get filezilla
 +
 
 +
2. install octave 4.0.0 or 3.8.2, gnuplot-x11, liboctave-dev from repo
 +
 
 +
sudo apt-get install gnuplot-x11
 +
sudo apt-get install octave liboctave-dev octave-general octave-control octave-signal octave-communications
 +
 
 +
Ubuntu currently installs Octave 4.0.0.  Other linux systems install Octave 3.8.2.
 +
 
 +
gnuplot is used for graph plotting, but fltk, qt can also be used.  Use the following line to change toolkit:
 +
graphics_toolkit('gnuplot')
 +
 
 +
See: https://www.gnu.org/software/octave/doc/interpreter/Introduction-to-Plotting.html
 +
sudo apt-get install libfltk1.3
 +
 
 +
Note communications package does not automatically load in octave >=4.0.0, add this line to your code:
 +
pkg load communications
 +
 
 +
===== Build from source =====
 +
 
 +
Note it is also possible to build octave from source, but there are a lot of dependencies.
 +
 
 +
E.g. http://wiki.octave.org/Octave_for_Debian_systems
 +
 
 +
Packages can also be downloaded from Sourceforge.
 +
 
 +
https://www.gnu.org/software/octave/doc/interpreter/Installing-and-Removing-Packages.html
 +
 
 +
* https://octave.sourceforge.io/general/index.html
 +
* https://octave.sourceforge.io/control/index.html
 +
* https://octave.sourceforge.io/signal/index.html
 +
* https://octave.sourceforge.io/communications/index.html
 +
 
 +
mkdir ~/octave
 +
cp *.tar.gz ~/octave
 +
octave
 +
pkg install ~/octave/general-2.0.0.tar.gz
 +
pkg install ~/octave/control-3.0.0.tar.gz
 +
pkg install ~/octave/signal-1.3.2.tar.gz
 +
pkg install ~/octave/communications-1.2.1.tar.gz
 +
 
 +
You need also to install LimeSuite before the following lines - see separate note.
 +
 
 +
Note you will need liboctave-dev installed.
 +
 
 +
Copy the limesdr-1.0.0.tar.gz and limesp-1.0.0.tar.gz into ~/octave folder
 +
cp *.tar.gz ~/octave
 +
octave
 +
pkg install ~/octave/limesdr-1.0.0.tar.gz
 +
pkg install ~/octave/limesp-1.0.0.tar.gz
 +
 
 +
 
 +
==== Windows 8, 10 ====
 +
 
 +
Recommend install Octave 4.0.3  (Note we have found 4.2.0 incompatible with Communications package)
 +
 
 +
https://ftp.gnu.org/gnu/octave/windows/
 +
 
 +
All 3rd party packages automatically installed.
 +
 
 +
You will need to install LimeSuite via Pothos SDR DE installer.
 +
 
 +
Copy the limesdr-1.0.0.tar.gz and limesp-1.0.0.tar.gz into C:\Users\UserName\octave.
 +
 
 +
From octave command line window
 +
pkg install ~/octave/limesdr-1.0.0.tar.gz
 +
pkg install ~/octave/limesp-1.0.0.tar.gz
 +
 
 +
Also extract .dll from limesdr-1.0.0.tar.gz and keep here
 +
'control panels'->'system'->'advance system settings'->'environmental variables'->'path'
 +
add C:\Users\UserName\octave to your path
 +
 
 +
==== Mac OS X ====
 +
 
 +
http://wiki.octave.org/Octave_for_MacOS_X
 +
Homebrew version of Octave 4.0.3 appears to be unable to install packages.
 +
! G A M E  O V E R !

Revision as of 20:57, 20 June 2017

Details for BT & Lime Micro Mini Hackathon, London, 21st June 2017.

1 Agenda

  • 08:30 – 09:00: Introduction & registration
  • 09:00 – 10:15: Introduction to modern wireless communication, Physical layer & LimeSDR hardware (Lime)
  • 10:15 – 11:00: Quortus EPC, function and features (Quortus)
  • 11:00 – 11:30: Coffee break
  • 11:30 – 12:15: Open Air Interface, background and status (Eurecom)
  • 12:15 – 12:30: Short introduction to the practical sessions
  • 12:30 – 13:30: Lunch
  • 13:30 – 14:00: Introduction to Osmocom
  • 14:00 – 15:00: LimeSDR drivers and APIs (Lime) / 3&4G PHY, up and downlink examples
  • 15:00 – 15:30: Coffee Break
  • 15:30 – 17:00: Complete LTE+EPC example setup, call setup (eNodeB and hands on demo)
  • 17:00 – 17:30: Feedback and closing remarks

2 Software prerequisites

The following software must be installed.

2.1 Lime Suite

2.1.1 Linux

2.1.1.1 Binary package install
sudo add-apt-repository -y ppa:myriadrf/drivers
sudo apt-get update
sudo apt-get install limesuite limesuite-udev limesuite-images
sudo apt-get install liblimesuite-dev
sudo apt-get install soapysdr soapysdr-module-lms7
2.1.1.2 Build from source

1. Configure Myriad-RF drivers PPA for SoapySDR packages

sudo add-apt-repository -y ppa:myriadrf/drivers
sudo apt-get update

2. Install dependencies

sudo apt-get install git g++ cmake libsqlite3-dev libsoapysdr-dev libi2c-dev libusb-1.0-0-dev libwxgtk3.0-dev freeglut3-dev

3. Get sources

git clone https://github.com/myriadrf/LimeSuite

To update use 'git pull'

4. Build and install

cd ~/LimeSuite
mkdir builddir && cd builddir
cmake ../
make -j4
sudo make install
cd ~/LimeSuite/udev-rules
sudo ./install.sh

2.1.2 Windows 8, 10

Use Pothos SDR Development Environment installer:

http://downloads.myriadrf.org/builds/PothosSDR/

(get latest)

2.2 Octave

Note octave 3.8.2 does not support -O3 flag Modified MakeFile to fix

2.2.1 Linux

2.2.1.1 Binary package install

We currently only support Ubuntu 16.04 LTS.

  • sudo can be omitted on some non-Ubuntu systems if you are logged in as su or using root terminal.
  • package manager can be used instead of 'sudo apt-get install'

1. install package manager such as synaptic and other useful linux tools

sudo apt-get install synaptic
sudo apt-get ssh
sudo apt-get filezilla

2. install octave 4.0.0 or 3.8.2, gnuplot-x11, liboctave-dev from repo

sudo apt-get install gnuplot-x11
sudo apt-get install octave liboctave-dev octave-general octave-control octave-signal octave-communications

Ubuntu currently installs Octave 4.0.0. Other linux systems install Octave 3.8.2.

gnuplot is used for graph plotting, but fltk, qt can also be used. Use the following line to change toolkit:

graphics_toolkit('gnuplot')

See: https://www.gnu.org/software/octave/doc/interpreter/Introduction-to-Plotting.html

sudo apt-get install libfltk1.3

Note communications package does not automatically load in octave >=4.0.0, add this line to your code:

pkg load communications
2.2.1.2 Build from source

Note it is also possible to build octave from source, but there are a lot of dependencies.

E.g. http://wiki.octave.org/Octave_for_Debian_systems

Packages can also be downloaded from Sourceforge.

https://www.gnu.org/software/octave/doc/interpreter/Installing-and-Removing-Packages.html

mkdir ~/octave
cp *.tar.gz ~/octave
octave
pkg install ~/octave/general-2.0.0.tar.gz
pkg install ~/octave/control-3.0.0.tar.gz
pkg install ~/octave/signal-1.3.2.tar.gz
pkg install ~/octave/communications-1.2.1.tar.gz

You need also to install LimeSuite before the following lines - see separate note.

Note you will need liboctave-dev installed.

Copy the limesdr-1.0.0.tar.gz and limesp-1.0.0.tar.gz into ~/octave folder

cp *.tar.gz ~/octave
octave
pkg install ~/octave/limesdr-1.0.0.tar.gz
pkg install ~/octave/limesp-1.0.0.tar.gz


2.2.2 Windows 8, 10

Recommend install Octave 4.0.3 (Note we have found 4.2.0 incompatible with Communications package)

https://ftp.gnu.org/gnu/octave/windows/

All 3rd party packages automatically installed.

You will need to install LimeSuite via Pothos SDR DE installer.

Copy the limesdr-1.0.0.tar.gz and limesp-1.0.0.tar.gz into C:\Users\UserName\octave.

From octave command line window

pkg install ~/octave/limesdr-1.0.0.tar.gz
pkg install ~/octave/limesp-1.0.0.tar.gz

Also extract .dll from limesdr-1.0.0.tar.gz and keep here

'control panels'->'system'->'advance system settings'->'environmental variables'->'path'

add C:\Users\UserName\octave to your path

2.2.3 Mac OS X

http://wiki.octave.org/Octave_for_MacOS_X Homebrew version of Octave 4.0.3 appears to be unable to install packages.

! G A M E   O V E R !